import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { NgControl } from '@angular/forms';
import { MaskTemplates } from './mask-templates';
export declare class InputMaskDirective implements OnInit, OnChanges {
    private readonly _elementRef;
    private readonly _ngControl;
    private readonly _templates;
    inputMask: string;
    private _element;
    private _inputMask;
    constructor(_elementRef: ElementRef<HTMLInputElement | HTMLTextAreaElement>, _ngControl: NgControl, _templates: MaskTemplates);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onKeydown(event: KeyboardEvent | ClipboardEvent): void;
    private _put;
    private _updateInputMask;
}
